# $Revision: 1.6 $, $Date: 2007/02/13 07:47:11 $
Summary:	Hex Puzzle 22
Summary(pl.UTF-8):	Łamigłówka Hex Puzzle 22
Name:		hexpuzzle
Version:	1.1
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	ftp://ibiblio.org/pub/Linux/games/%{name}-%{version}.tgz
# Source0-md5:	b807ab119697b295dd7e2a856522730d
Patch0:		%{name}-datadir.patch
URL:		ftp://ibiblio.org/pub/Linux/games/
Requires:	tk >= 8.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hex Puzzle 22 is a tessellation puzzle based on Beat The Computer #22.
Players must fit all of the multi-hexagon pieces into one of three
different trays.

%description -l pl.UTF-8
Hex Puzzle 22 to układanka oparta na Beat The Computer #22. Gracze
muszą dopasować wszystkie kawałki składające się z sześciokątów do
jednej z trzech różnych tac.

%prep
%setup -q -n %{name}
%patch0 -p1

%clean
rm -rf $RPM_BUILD_ROOT

%build
mv -f hexpuzzle{,~}
sed 's#@@DATADIR@@#%{_datadir}/%{name}#g' <hexpuzzle~ >hexpuzzle

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}}

install hexpuzzle $RPM_BUILD_ROOT%{_bindir}
install pieces.* $RPM_BUILD_ROOT%{_datadir}/%{name}
install menus $RPM_BUILD_ROOT%{_datadir}/%{name}

%files
%defattr(644,root,root,755)
%doc About Bugs Changelog Instructions Readme Thanks Todo
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hexpuzzle.spec,v $
Revision 1.6  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.4  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.3  2004/02/08 01:11:25  qboosh
- pl, fixed files

Revision 1.2  2004/02/05 22:19:33  pzurowski
- noarch added

Revision 1.1  2004/02/05 22:07:58  pzurowski
- New
